Method: feedbackEntries.updateFeedbackContext

Full name: projects.locations.reasoningEngines.feedbackEntries.updateFeedbackContext

Updates the FeedbackContext associated with a FeedbackEntry.

Only the fields specified in updateMask are modified. If the mask is empty, all mutable fields are replaced with the values supplied in the request.

Endpoint

patch https://{service-endpoint}/v1beta1/{feedbackContext.name}

PATCH https://{service-endpoint}/v1beta1/{feedbackContext.name}

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

feedbackContext.name string

Identifier. The resource name. Assigned by the server on create.

Format: projects/{project}/locations/{location}/reasoningEngines/{reasoningEngine}/feedbackEntries/{feedbackEntry}/feedbackContext

Query parameters

updateMask string (FieldMask format)

Optional. The field mask that controls which fields are updated. If unset or empty, all mutable fields of the FeedbackContext are replaced with the values from feedbackContext.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of FeedbackContext.

Response body

If successful, the response body contains an instance of Operation.